# class KDockWidgetAbstractHeaderDrag | An abstract class for all dockwidget drag-panels of a dockwidgets (and member of the dockwidget class set). More...
Definition | `#include <kdockwidget.h>`
Inherits | QFrame (qt) [public ]
Inherited by | KDockWidgetHeaderDrag
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDockWidgetAbstractHeaderDrag ( KDockWidgetAbstractHeader* parent, KDockWidget* dock, const char* name = 0L )
- virtual ~KDockWidgetAbstractHeaderDrag ()
- KDockWidget* dockWidget ()

## Detailed Description

An abstract class for all dockwidget drag-panels of a dockwidgets (and member of the dockwidget class set). See the class description of KDockWidgetHeaderDrag! More or less a minor helper class for the dockwidget class set.

KDockWidgetAbstractHeaderDrag ( KDockWidgetAbstractHeader* parent, KDockWidget* dock, const char* name = 0L ) | ### KDockWidgetAbstractHeaderDrag

Constructs this.

Parameters:

parent | the parent widget (usually a dockwidget header)
dock | the dockwidget where it belongs to
name | the object instance name

~KDockWidgetAbstractHeaderDrag () | ### ~KDockWidgetAbstractHeaderDrag

[virtual]

Destructs this.

KDockWidget* dockWidget () | ### dockWidget

Returns: the dockwidget where this belongs to

- Version: $Id: kdockwidget.h,v 1.35 2001/01/29 07:14:45 falkbr Exp $
- Author: Max Judin (documentation: Falk Brettschneider).
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.